cURL
curl --request PUT \ --url https://chat.zoko.io/v2/customer/{id}/properties/{propertyId} \ --header 'Content-Type: application/json' \ --header 'apikey: <api-key>' \ --data ' { "type": "text", "title": "<string>", "description": "<string>", "messages": [ "<string>" ], "priority": 123 } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "entityType": "customer", "entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "text", "title": "<string>", "description": "<string>", "messages": [ "<string>" ], "priority": 123 }
Update customer property details
Authentication is done via apikey provided for your account
apikey
Include the following in your request header
apikey: "your_apikey_here"
ID of customer
ID of property
Property data
Customer property model
type of property
text
image
document
video
details on the property
url(s) for type image, document and video. Text for type text
order in which it should be displayed on the web app
Update Customer Property
Customer property response model
customer